/** Nix theme style **/

/* Common css - Start */
html {
	box-sizing: border-box;
	-moz-osx-font-smoothing: grayscale;
	-webkit-font-smoothing: antialiased;
}

*,
*::before,
*::after {
	box-sizing: inherit;
}

a,
button,
input:focus,
input[type="button"],
input[type="submit"],
textarea:focus,
.wp-block-button__link {
	transition: all 0.4s ease-in-out;
}

a,
a:focus,
a:hover {
	text-decoration: none;
	color: var(--wp--preset--color--tertiary);
}

.wp-block-comment-template .wp-block-comment-content a,
.entry-content a {
	text-decoration: none;
}

.wp-block-comment-template .wp-block-comment-content a:hover,
.entry-content a:hover {
	text-decoration: none;
	color: var(--wp--preset--color--primary);
}
ol,
ul {
	margin: 0;
	padding: 0;
	list-style-position: inside;
}
blockquote {
	margin: 0;
}
img {
	max-width: 100%;
	height: auto;
}
/* Common css - End */

/* Forms - Start */
input,
select,
textarea,
.wp-block-search__input {
	background-color: var(--wp--preset--color--base);
    border-top: none;
    border-left: 1px solid;
    border-right: none;
    border-bottom: 1px solid;
	border-color: var(--wp--preset--color--tertiary);
	color: var(--wp--preset--color--contrast);
	font-family: var(--wp--preset--font-family--brandon-grotesque);
	font-size: var(--wp--preset--font-size--medium);
	font-weight: normal;
	padding: 12px 20px;
	width: 100%;
	margin-bottom: 30px;
}
input[type="button"],
input[type="submit"] {
	background-color: var(--wp--preset--color--tertiary);
	border-radius: none;
	border-color: var(--wp--preset--color--tertiary);
	border-width: 1px;
	border-style: solid;
	color: var(--wp--preset--color--contrast);
	font-family: inherit;
	font-size: 18px;
	font-weight: 700;
	line-height: inherit;
	padding: 5px 22px;
	width: auto;
    text-transform: uppercase;
    margin-top: 35px;
}
input[type="button"]:hover,
input[type="submit"]:hover,
button:hover {
	background-color: var(--wp--preset--color--base);
	color: var(--wp--preset--color--tertiary);
	cursor: pointer;
}
input[type="checkbox"] {
    margin: 0 10px 0 0 !important;
    width: 24px !important;
    height: 24px !important;
}
input[type="checkbox"],
input[type="image"],
input[type="radio"] {
	width: auto;
}


input[type="email"],
input[type="search"],
input[type="text"],
input[type="phone"],
textarea {
	transition: .4s ease all;
}

input[type="email"],
input[type="search"],
input[type="phone"],
input[type="text"],
textarea,
input[type="email"],
input[type="search"],
input[type="phone"],
input[type="text"],
input[type="url"],
input[type="email"]:hover,
input[type="search"]:hover,
input[type="phone"]:hover,
input[type="text"]:hover,
textarea:hover,
input[type="email"]:focus,
input[type="search"]:focus,
input[type="phone"]:focus,
input[type="text"]:focus,
input[type="url"]:focus,
textarea:focus {
	transition: .3s ease all;
    border-top: none !important;
    border-left: 1px solid !important;
    border-right: none !important;
    border-bottom: 1px solid !important;
	border-color: var(--wp--preset--color--tertiary) !important;
    outline: none !important;
}


input[type="button"],
input[type="email"],
input[type="search"],
input[type="submit"],
input[type="text"],
textarea {
	-webkit-appearance: none;
}
::placeholder {
	color: #d1caca;
	font-size: 20px;
	opacity: 1;
    font-weight: normal;
}
:-ms-input-placeholder {
	color: #d1caca;
	font-size: 20px;
	opacity: 1;
    font-weight: normal;
}

::-ms-input-placeholder {
	color: #d1caca;
	font-size: 20px;
	opacity: 1;
    font-weight: normal;
}

.nf-field-container {
	margin-bottom: 10px;
}
.editor-styles-wrapper a {
	text-decoration: none !important;
}
form label {
    display: block;
    font-size: 20px;
    margin-bottom: 10px;
}
form label.checkbox {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}
form label span.required {
    color: #ff1010;
}
/* Forms - End */

/* Main content - Start */
.main-content {
    margin-block-start: 0 !important;
}
.page-single-content .page-content,
.page-404 .page-404-content,
.archive-page .archive-content,
.blog-page .blog-list {
    margin-block-start: 0 !important;
}
/* Main content - End */

/* Header - Start */
.main-header {
    position: absolute;
    z-index: 99;
    width: 100%;
}
/* Header - End */

/* Home Hero Banner - Start */
.home-hero-banner .wp-block-cover .wp-block-cover__inner-container {
    max-width: 85%;
    margin: 0 auto !important;
}
/* .home-hero-banner .wp-block-cover .wp-block-cover__background {
    position: relative;
} */
.home-hero-banner .wp-block-cover {
    position: relative;
}
.home-hero-banner .wp-block-cover::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 215px;
    background: url('../images/waves-shape.svg');
    background-size: cover;
    background-repeat: no-repeat;
    transform: rotateX(180deg);
    z-index: 9;
}
/* Home Hero Banner - End */

/* Video section - Start */
.nix-video .wp-block-group {
    position: relative;
}
.nix-video .wp-block-group::before {
    content: '';
    position: absolute;
    left: 50%;
    width: 100%;
    height: 400px;
    background-color: var(--wp--preset--color--secondary);
    max-width: 92%;
    transform: translateX(-50%);
    bottom: -10%;
}
.nix-video .wp-block-cover {
    max-width: 85%;
    margin: 0 auto !important;
}
.nix-video .wp-block-cover .wp-block-cover__inner-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.nix-video .wp-block-cover .wp-block-cover__inner-container .wp-block-image {
    margin: 0 !important;
}
@media only screen and (max-width: 768px) {
    .nix-video {
        padding-bottom: 50px !important;
    }
    .nix-video .wp-block-heading {
        margin-bottom: 40px !important;
    }
    .nix-video .wp-block-cover {
        min-height: 400px !important;
    }
    .nix-video .wp-block-group::before {
        height: 300px;
    }
}
/* Video section - Start */

/* Intro section - Start */
.nix-intro .wp-block-media-text__media {
    position: relative;
}
.nix-intro .wp-block-media-text__media::before {
    content: '';
    position: absolute;
    top: 15px;
    left: -15px;
    width: 100%;
    height: 100%;
    background-color: var(--wp--preset--color--tertiary) !important;
}
.nix-intro .wp-block-media-text__media img {
    position: relative;
    z-index: 1;
}
.nix-intro .wp-block-media-text .wp-block-media-text__content {
    padding: 0 !important;
    padding-left: 50px !important;
}
@media only screen and (max-width: 768px) {
    .nix-intro .wp-block-media-text .wp-block-media-text__content {
        padding-left: 35px !important;
    }
    .nix-intro .wp-block-media-text .wp-block-media-text__content p:first-child {
        padding-top: 0 !important;
    }
}
@media only screen and (max-width: 600px) {
    .nix-intro .wp-block-media-text .wp-block-media-text__content {
        margin-top: 20px;
        padding-left: 0px !important;
    }
}
/* Intro section - End */

/* Services section - Start */
@media only screen and (min-width: 781px) and (max-width: 1024px) {
    .nix-services .wp-block-column .wp-block-cover {
        min-height: 300px !important;
    }
    .nix-services .wp-block-column .wp-block-group {
        min-height: 300px !important;
        padding-right: 30px !important;
        padding-left: 30px !important;
    }
}
@media (min-width: 781px) {
    .nix-services  .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column {
        flex-basis: 0;
        flex-grow: 1;
    }
}
@media only screen and (max-width: 780px) {
    .nix-services .wp-block-column .wp-block-group {
        max-width: inherit !important;
    }
}
@media only screen and (max-width: 480px) {
    .nix-services .wp-block-column .wp-block-cover {
        min-height: 300px !important;
    }
    .nix-services .wp-block-column .wp-block-group {
        min-height: 300px !important;
        padding-right: 30px !important;
        padding-left: 30px !important;
    }
}
/* Services section - End */

/* Testimonials section - Start */
.nix-testimonials .wp-block-group .wp-block-image {
    position: relative;
    width: 234px;
    height: 234px;
}
.nix-testimonials .wp-block-group .wp-block-image img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.nix-testimonials .wp-block-group .wp-block-image:first-child::before,
.nix-testimonials .wp-block-group .wp-block-image:nth-child(4)::before,
.nix-testimonials .wp-block-group .wp-block-image:nth-child(7)::before,
.nix-testimonials .wp-block-group .wp-block-image:nth-child(10)::before {
    content: '';
    position: absolute;
    top: 20px;
    left: -28px;
    width: 234px;
    height: 234px;
    background: url(../images/shape1.png) no-repeat;
}
.nix-testimonials .wp-block-group .wp-block-image:nth-child(2)::before,
.nix-testimonials .wp-block-group .wp-block-image:nth-child(5)::before,
.nix-testimonials .wp-block-group .wp-block-image:nth-child(8)::before,
.nix-testimonials .wp-block-group .wp-block-image:nth-child(11)::before {
    content: '';
    position: absolute;
    top: -22px;
    left: -22px;
    width: 234px;
    height: 234px;
    background: url(../images/shape2.png) no-repeat;
}
.nix-testimonials .wp-block-group .wp-block-image:nth-child(3)::before,
.nix-testimonials .wp-block-group .wp-block-image:nth-child(6)::before,
.nix-testimonials .wp-block-group .wp-block-image:nth-child(9)::before,
.nix-testimonials .wp-block-group .wp-block-image:nth-child(12)::before {
    content: '';
    position: absolute;
    top: 25px;
    left: -14px;
    width: 256px;
    height: 230px;
    background: url(../images/shape3.png) no-repeat;
}
/* Testimonials section - End */

/* Team Section - Start */
.nix-team .wp-block-column {
    box-shadow: 0 0 13.5px rgba(0,0,0,0.17);
    background-color: #ffffff;
}
.nix-team .wp-block-column .wp-block-image {
    margin-top: -150px;
    position: relative;
    display: block;
    padding-bottom: 100%;
}
.nix-team .wp-block-column .wp-block-image img {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100% !important;
    height: 100% !important;
    object-fit: cover;
    transform: translateX(-50%) translateY(-50%);
    border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%;
}
@media screen and ( max-width: 992px ) {
    .nix-team .wp-block-column > .wp-block-group {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
}
@media screen and ( max-width: 782px ) {
    .nix-team .wp-block-columns {
        row-gap: 200px !important;
    }
    .nix-team .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column {
        flex-basis: 48% !important;
        max-width: 50%;
    }
}
@media screen and ( max-width: 540px ) {
    .nix-team .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column {
        flex-basis: 100% !important;
        max-width: 100%;
    }
}
/* Team Section - End */

/* How It Works Section - Start */
.nix-how-it-works .wp-block-column .wp-block-image {
    display: none;
    transition: 0.4s all;
}
.nix-how-it-works .wp-block-column .wp-block-image.active-content {
    display: block !important;
}
.nix-how-it-works .wp-block-column .wp-block-group {
    position: relative;
    opacity: 0.2;
    transition: 0.4s all;
}
.nix-how-it-works .wp-block-column .wp-block-group:hover {
    cursor: pointer;
}
.nix-how-it-works .wp-block-column .wp-block-group.active-content {
    opacity: 1;
}
.nix-how-it-works .wp-block-column .wp-block-group.active-content::before {
    content: '';
    position: absolute;
    top: 0px;
    left: -2px;
    width: 3px;
    background-color: var(--wp--preset--color--secondary);
    height: 100%;
}
/* How It Works Section - End */

/* Contact Form - Start */
.nix-contact {
    position: relative;
    background: url(../images/shape5.png) no-repeat;
    top: 0;
    left: 0;
}
.nix-contact > .wp-block-group {
    padding-right: var(--wp--style--root--padding-right);
    padding-left: var(--wp--style--root--padding-left);
}
@media screen and ( max-width: 1200px ) {
    .nix-contact {
        background-size: 50%;
    }
}
@media screen and ( max-width: 781px ) {
    .nix-contact {
        background-size: 50%;
    }
}
@media screen and ( max-width: 540px ) {
    .nix-contact {
        padding-top: 20px !important;
        padding-bottom: 20px !important;
        background-size: 100%;
    }
}
/* Contact Form - End */

/* Query block - Start */
.wp-block-query .wp-block-post {
    position: relative;
}
.wp-block-query .wp-block-post .wp-block-post-featured-image {
    margin: 0 !important;
}
.wp-block-query .wp-block-post .wp-block-post-featured-image::before {
    content: '';
    position: absolute;
    width: 196px;
    height: 196px;
	width: 150px;
    top: 0;
    left: 0;
    z-index: -1;
}
.wp-block-query .wp-block-post .wp-block-post-featured-image img {
	margin-left: 50px !important;
}
.wp-block-query li.wp-block-post:nth-child(4n+1) .wp-block-post-featured-image::before {
	background: url(../images/pink.svg) no-repeat;
}
.wp-block-query li.wp-block-post:nth-child(4n+2) .wp-block-post-featured-image::before {
	background: url(../images/orange.svg) no-repeat;
}
.wp-block-query li.wp-block-post:nth-child(4n+3) .wp-block-post-featured-image::before {
	background: url(../images/blue.svg) no-repeat;
}
.wp-block-query li.wp-block-post:nth-child(4n+4) .wp-block-post-featured-image::before {
	background: url(../images/green.svg) no-repeat;
}
.wp-block-query .wp-block-post .wp-block-read-more {
	position: relative;
	padding-left: 25px;
}
.wp-block-query .wp-block-post .wp-block-read-more::before {
    content: '';
    position: absolute;
	background: url(../images/yellow-round.svg) no-repeat;
	background-size: 50px;
    width: 50px;
    height: 50px;
    top: 50%;
    left: 0;
    z-index: -1;
	transform: translate(0,-50%);
}
.wp-block-query .wp-block-post-template + .wp-block-query-no-results {
    display: none;
}
.has-global-padding > .alignfull:where(:not(.has-global-padding)) > :where([class*="wp-block-"]:not(.alignfull):not([class*="__"]),p,h1,h2,h3,h4,h5,h6,ul,ol) {
    padding-right: var(--wp--style--root--padding-right);
    padding-left: var(--wp--style--root--padding-left);
}
@media only screen and (max-width: 1024px) {
    .wp-block-post-template.is-layout-grid {
        row-gap: 3.25em !important;
    }
    .wp-block-post-template.is-layout-grid {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }
}
@media only screen and (max-width: 781px) {
    .wp-block-post-template.is-layout-grid {
        row-gap: 1.50em !important;
    }
    .wp-block-post-template.is-layout-grid {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
}
@media only screen and (max-width: 580px) {
    .wp-block-post-template.is-layout-grid {
        row-gap: 1.50em !important;
    }
    .wp-block-post-template.is-layout-grid {
        grid-template-columns: 1fr;
    }
}
/* @media only screen and (max-width: 1024px) {
    .wp-block-post-template.is-layout-grid {
        row-gap: 3.25em !important;
    }
    .wp-block-post-template.is-layout-grid.columns-4>li {
        width: calc(33.33% - 0.9375em);
    }
}
@media only screen and (max-width: 781px) {
    .wp-block-post-template.is-layout-grid.columns-4>li {
        width: calc(50% - 0.9375em);
    }
}
@media only screen and (max-width: 580px) {
    .wp-block-post-template.is-layout-grid.columns-4>li {
        width: calc(100% - 0.9375em);
    }
} */
/* Query block - End */

/* about-us-section - Start */
.about-us-section .wp-block-button__link {
    border-color: var(--wp--preset--color--tertiary) !important;
}
@media screen and ( max-width: 781px ) {
    .about-us-section  .wp-block-columns {
        flex-direction: column-reverse;
    }
}
/* about-us-section - End */


/* Menu style - Start */
.wp-block-navigation .wp-block-navigation-item.current-menu-item .wp-block-navigation-item__content {
	color: var(--wp--preset--color--tertiary);
    position: relative;
}
.wp-block-navigation .wp-block-navigation-item.current-menu-item .wp-block-navigation-item__content::after{
    position: absolute;
    content: "";
    background-image: url(../images/wave-yellow.svg);
    width: 63px;
    height: 7px;
    bottom: -8px;
    left: 50%;
    margin: 0 auto;
    transform: translateX(-50%);
}
.wp-block-navigation .has-child .wp-block-navigation__submenu-container>.wp-block-navigation-item>.wp-block-navigation-item__content {
    color: #000;
    font-size: 16px;
}
footer .wp-block-navigation .wp-block-navigation-item.current-menu-item .wp-block-navigation-item__content::after{
    content: none;
}
.wp-block-navigation__responsive-container-close svg, .wp-block-navigation__responsive-container-open svg {
	width: 30px;
	height: 30px;
}
@media screen and ( min-width: 992px ) and ( max-width: 1199px ) {
	.wp-block-navigation .wp-block-navigation__container {
		gap: 22px;
	}
}
@media screen and ( max-width: 991px ) {
    .wp-block-navigation .wp-block-navigation-item.current-menu-item .wp-block-navigation-item__content::after{
        content: none;
    }
	.wp-block-navigation:not(.has-background) .wp-block-navigation__responsive-container.is-menu-open {
		background-color: var(--wp--preset--color--primary);
		color: var(--wp--preset--color--base);
	}
	.wp-block-navigation__responsive-container-open:not(.always-shown) {
		display: flex !important;
	}
	.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
		display: none !important;
	}

	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container,
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-page-list,
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item,
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item__content {
		width: 100%;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation__container,
    .wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-page-list {
		gap: 0 !important;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item {
		border-bottom: 1px solid #fff;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item:first-child {
		border-top: 1px solid #fff;
	}
	.wp-block-navigation__responsive-container.is-menu-open .wp-block-navigation__responsive-container-content .wp-block-navigation-item__content {
		line-height: 3.5;
	}
	.wp-block-navigation .wp-block-navigation-item.current-menu-item .wp-block-navigation-item__content {
		color: var(--wp--preset--color--contrast);
	}
    footer .wp-block-navigation .wp-block-navigation-item.current-menu-item .wp-block-navigation-item__content {
		color: var(--wp--preset--color--tertiary);
	}
}
@media (min-width: 782px) {
    .wp-block-navigation .has-child .wp-block-navigation__submenu-container .wp-block-navigation__submenu-icon {
        color: #000;
    }
}

/* Menu style - End */